Package ghidra.app.util.bin.format.macho.commands

# Class DynamicLibrary

java.lang.Object
ghidra.app.util.bin.format.macho.commands.DynamicLibrary

All Implemented Interfaces:
  `StructConverter`

public class DynamicLibrary extends Object implements StructConverter
Represents a dylib structure.

See Also:
  - mach-o/loader.h

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DynamicLibrary(BinaryReader reader, LoadCommand command)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCompatibilityVersion()`
  `int`
  `getCurrentVersion()`
  `LoadCommandString`
  `getName()`
  `int`
  `getTimestamp()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DynamicLibrary

    public DynamicLibrary(BinaryReader reader, LoadCommand command) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getName

    public LoadCommandString getName()

  - ### getTimestamp

    public int getTimestamp()

  - ### getCurrentVersion

    public int getCurrentVersion()

  - ### getCompatibilityVersion

    public int getCompatibilityVersion()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`